aboutsummaryrefslogtreecommitdiff
path: root/sh/init.sh.GNU.in
diff options
context:
space:
mode:
authorSvante Signell <svante.signell@gmail.com>2014-10-22 14:25:00 -0500
committerWilliam Hubbs <w.d.hubbs@gmail.com>2014-10-23 13:00:24 -0500
commit203b754f843fe6af0a40e983d557a9cdbc89f84b (patch)
treebc2cfdb441feb21382143baf22d49d1e8850e92a /sh/init.sh.GNU.in
parent89c8a62a1078e770e12c47f06c8dbc9c2924e771 (diff)
add missing files for GNU/Hurd
Diffstat (limited to 'sh/init.sh.GNU.in')
-rw-r--r--sh/init.sh.GNU.in38
1 files changed, 38 insertions, 0 deletions
diff --git a/sh/init.sh.GNU.in b/sh/init.sh.GNU.in
new file mode 100644
index 00000000..5ba051d9
--- /dev/null
+++ b/sh/init.sh.GNU.in
@@ -0,0 +1,38 @@
+#!@SHELL@
+# Copyright (c) 2007-2009 Roy Marples <roy@marples.name>
+# Copyright (c) 2014 Svante Signell <svante.signell@gmail.com>
+# Released under the 2-clause BSD license.
+
+if [ ! -d /run ]; then
+ ebegin "Creating /run"
+ mkdir -p /run
+ eend $?
+fi
+
+if [ -L $RC_SVCDIR ]; then
+ rm $RC_SVCDIR
+fi
+
+if ! mountinfo -q /run; then
+ ebegin "Mounting /run"
+ if ! fstabinfo --mount /run; then
+ mount -t tmpfs -o mode=0755,no-suid,size=10% tmpfs /run
+ if [ $? != 0 ]; then
+ eerror "Unable to mount tmpfs on /run."
+ eerror "Can't continue."
+ exit 1
+ fi
+ fi
+ eend
+fi
+
+ebegin "Creating $RC_SVCDIR"
+mkdir -p $RC_SVCDIR
+eend $?
+
+if [ -e "$RC_LIBEXECDIR"/cache/deptree ]; then
+ cp -p "$RC_LIBEXECDIR"/cache/* "$RC_SVCDIR" 2>/dev/null
+fi
+
+echo sysinit >"$RC_SVCDIR"/softlevel
+exit 0